PHP Selector – Alojamento Web PHP 5.4 e 5.5

0
404
views

Alojamento PHPEstimados clientes,

Ao longo dos últimos dias foram implementadas algumas alterações nos servidores de Alojamento Web, tendo sido introduzido no serviço uma funcionalidade à qual chamamos de PHP Selector.

Já passou cerca de 1 ano desde que descontinuamos o PHP 5.2 nos nossos serviços de alojamento web, uma vez que esta versão já não era suportada desde Janeiro de 2011 pela comunidade PHP, tendo sido efectuado nesse período o upgrade em todos os servidores para o PHP 5.3.

De forma a fornecer aos nossos clientes as versões mais recentes do PHP, a nossa equipa técnica implementou nos últimos dias o PHP Selector em todos os serviços de Alojamento Web Cloud.

O PHP Selector é um componente do CloudLinux que é executado em cima do CageFS e que permite ao cliente a autonomia de poder escolher qual a versão PHP e os módulos que pretende utilizar na sua conta de alojamento web.

php_selector

Esta ferramenta está integrada no Painel de Controlo cPanel, podendo o cliente aceder ao menu “Selecionar PHP Versão” (Select PHP version), onde poderá escolher uma das versões disponíveis e escolher os módulos/extensões presentes. O cliente tem ainda a possibilidade de configurar parâmetros PHP conforme necessitar, bastando que para tal clique no botão “Show PHP Settings” presente na mesma página e configure as opções disponíveis.

select_php_modules

No entanto recomendamos que actualize os seus scripts para que estes sejam compatíveis com as versões mais recentes do PHP. Apenas pelo facto de ter novamente acesso ao PHP 5.2, não quer dizer que deverá utilizar funções que apenas são suportadas nesta versão caso esteja a desenvolver um novo site. Deverá garantir no mínimo que o seu site é compatível com PHP 5.3 de forma a preparar uma transição fácil para o PHP 5.4 e PHP 5.5.

Adicionalmente informamos que nos novos planos de alojamento, a versão pré-definida será o PHP 5.4, substituindo assim o PHP 5.3 que anteriormente era a única versão disponível.

Independentemente do seu site utilizar funções descontinuadas no PHP 5.3 e apenas presentes no PHP 5.2, ou de necessitar de recorrer a novas funcionalidades presentes apenas no PHP 5.4 e PHP 5.5, não necessitará de aguardar que o servidor seja actualizado, visto que todas essas versão estão disponíveis de imediato.

Mais uma vez adaptamo-nos ao mercado e preparamos os nossos serviços para o futuro, agora com Alojamento IPv6, Alojamento PHP 5.4 e Alojamento PHP 5.5, sem que tenha que ter diferentes serviços ou planos em servidores diferentes.

Com os melhores cumprimentos,
A Equipa WebTuga